Uploaded image for project: 'Core Server'
  1. Core Server
  2. SERVER-41424

scons should fail early if invoked with wrong Python interpreter

    XMLWordPrintable

Details

    • Improvement
    • Status: Closed
    • Major - P3
    • Resolution: Fixed
    • None
    • 3.4.22, 3.6.14, 4.0.11
    • Build
    • None
    • Fully Compatible
    • v3.6, v3.4
    • Dev Tools 2019-06-17
    • 0

    Description

      When on a 4.0 branch and running scons with Python3, it fails with a cryptic error message, causing lots of developer time to be wasted in trying to figure out what went wrong.

      A simple early check for the correct Python version would help a lot

      Attachments

        Activity

          People

            mathew.robinson@mongodb.com Mathew Robinson (Inactive)
            geert.bosch@mongodb.com Geert Bosch
            Votes:
            0 Vote for this issue
            Watchers:
            4 Start watching this issue

            Dates

              Created:
              Updated:
              Resolved: